<?php
/**
 * Clone utilities.
 *
 * @package Flat101\Security\Util
 */

namespace Flat101\Security\Util;

/**
 * Useful class for clone objects or arrays.
 */
class CloneUtil {

	/**
	 * Copies any variable of any type (object, array, scalar,...).
	 *
	 * @param mixed $variable Whatever you want.
	 * @return mixed
	 */
	public static function deep_copy( &$variable ) {
		// phpcs:ignore
		return unserialize( serialize( $variable ) );
	}
}
